#
# spec file for package kde-odf-thumbnail
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kde-odf-thumbnail
Version:        1.0.0
Release:        2.2
Summary:        ODF thumbnailer for KDE
License:        LGPL-3.0
Group:          System/GUI/KDE
Url:            http://kde-apps.org/content/show.php?content=110864
Source:         %{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE port-to-kf5.patch boo#958290 wbauer@tmo.at -- port it to KDE Frameworks5
Patch:          port-to-kf5.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{suse_version} <= 1320 && !0%{?is_opensuse}
%kde4_runtime_requires
 
BuildRequires:  libkde4-devel
BuildRequires:  libkdecore4-devel
%else
BuildRequires:  extra-cmake-modules
BuildRequires:  karchive-devel
BuildRequires:  kio-devel
BuildRequires:  pkgconfig(Qt5Gui)
%endif

%description
Plugin for KDE file managers (Dolphin and Konqueror) to preview ODF (OpenDocument Format) files as Thumbnails.

If you have calligra-extras-dolphin installed you won't need this package. calligra provides it's own ODF thumbnailer

%prep
%setup -q
%if %{suse_version} > 1320 || 0%{?is_opensuse}
%patch -p1
%endif

%build
%if %{suse_version} <= 1320 && !0%{?is_opensuse}
%cmake_kde4 -d build
%else
%cmake_kf5 -d build
%endif
%make_jobs

%install
cd build
%makeinstall
cd ..

%if %{suse_version} <= 1320 && !0%{?is_opensuse}
%kde_post_install
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README LICENSE LICENSE.html
%if %{suse_version} <= 1320 && !0%{?is_opensuse}
%{_kde4_modulesdir}/opendocumentthumbnail.so
%{_kde4_servicesdir}/opendocumentthumbnail.desktop
%else
%{_kf5_plugindir}/opendocumentthumbnail.so
%{_kf5_servicesdir}/opendocumentthumbnail.desktop
%endif

%changelog
* Mon Mar  7 2016 wbauer@tmo.at
- Added port-to-kf5.patch: build against KF5 on Leap and Tumbleweed
  so that it can be used with the KF5 based dolphin (boo#958290)
- Adjusted package description, koffice2 doesn't exist any more
* Sun May  4 2014 ctrippe@opensuse.org
- Changed License in the spec file to the valid spelling according
  to http://license.opensuse.org.
* Wed Feb 22 2012 hessijames@gmail.com
- Add German translation
* Mon Jan 30 2012 hessijames@gmail.com
- Remove koffice2 conflict
* Sat Jan 28 2012 hessijames@gmail.com
- Initial build of kde-odf-thumbnail 1.0.0
